# List Input Sets

Returns a List of Input Sets for a Pipeline.

Endpoint: GET /v1/orgs/{org}/projects/{project}/input-sets
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Query parameters:

  - `pipeline` (string, required)
    Pipeline identifier for the Input Set.

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items on each page.

  - `limit` (integer)
    Pagination: Number of items to return.

  - `search_term` (string)
    This would be used to filter resources having attributes matching the search term.

  - `sort` (string)
    Parameter on the basis of which sorting is done.
    Enum: "name", "updated"

  - `order` (string)
    Order on the basis of which sorting is done.
    Enum: "ASC", "DESC"

## Response 200 fields (application/json):

  - `input_set_yaml` (string)
    Input Set YAML (returned as a String).

  - `identifier` (string)
    Input Set identifier

  - `name` (string)
    Input Set name

  - `org` (string)
    Organization identifier

  - `project` (string)
    Project identifier

  - `pipeline` (string)
    Pipeline identifier

  - `description` (string)
    Input Set description

  - `tags` (object)
    Input Set tags

  - `store_type` (string)
    Specifies whether the Entity is to be stored in Git or not (for Git Experience).
    Enum: "INLINE", "REMOTE"

  - `connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity (for Git Experience).

  - `git_details` (object)
    Git Experience related details of the Entity.

  - `git_details.object_id` (string)
    Object identifier / blob id

  - `git_details.branch_name` (string)
    Name of the branch.

  - `git_details.file_path` (string)
    File path of the Entity in the repository.

  - `git_details.repo_name` (string)
    Name of the repository.

  - `git_details.commit_id` (string)
    Latest commit identifier.

  - `git_details.file_url` (string)
    File URL of the Entity.

  - `git_details.repo_url` (string)
    Repository URL of the Entity.

  - `created` (integer)
    Creation timestamp for Input Set.

  - `updated` (integer)
    Last modification timestamp for Input Set.

  - `error_details` (object)
    Error details regarding Input Sets.

  - `error_details.valid` (boolean)
    Specifies whether Input Set is a valid or not.

  - `error_details.message` (string)
    Failure message for Input Set.

  - `error_details.outdated` (boolean)
    Input Set is outdated with respect to the Pipeline or not.

  - `error_details.error_pipeline_yaml` (string)
    If an Input Set save fails, this field contains the Pipeline YAML as a String, with the field values replaced by a UUID.

  - `error_details.fqn_errors` (array)

  - `error_details.fqn_errors.fqn` (string)
    Fully Qualified Name

  - `error_details.fqn_errors.errors` (array)
    Errors in FQN

  - `error_details.fqn_errors.errors.field_name` (string)
    Field name that has an error.

  - `error_details.fqn_errors.errors.message` (string)
    Error description

  - `error_details.fqn_errors.errors.identifier_of_error_source` (string)
    Identifier of Input Set

  - `error_details.invalid_refs` (array)
    List of Input Set References that are invalid.


